﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Linq;

namespace Xml2Bd
{
    class Program
    {
        static void Main(string[] args)
        {
            //troque este caminho para condizer com a realidade do seu computador
            string CAMINHO_XML = @"C:\Users\Fernando\Documents\visual studio 2010\Projects\Xml2Bd\Xml2Bd\XML\";

            #region "Estados"
            //carregando o XML de estados
            XDocument xdoc = XDocument.Load(CAMINHO_XML + "Estados.xml");
            //carregando o banco de dados
            Xml2BdEntities1 contextoDados = new Xml2BdEntities1();

            foreach (var estado in xdoc.Descendants("ESTADOS").Elements())
            {
                //instanciando o novo estado a ser inserido
                Estado uf = new Estado();
                uf.ID = int.Parse(estado.Element("ID").Value);
                uf.Nome = estado.Element("NOME").Value;
                uf.Sigla = estado.Element("SIGLA").Value;
                uf.IDCapital = int.Parse(estado.Element("IDCAPITAL").Value);

                //adicionando ao contextodados
                contextoDados.AddToEstado(uf);

                //imprimindo na tela para verificação
                Console.WriteLine(estado.Element("NOME").Value);
            }

            //persistindo as inserções diretamente no banco
            contextoDados.SaveChanges();
            #endregion

            #region "Cidades"
            //carregando o XML de cidades
            xdoc = XDocument.Load(CAMINHO_XML + "Cidades.xml");

            foreach (var cidade in xdoc.Descendants("CIDADES").Elements())
            {
                //instanciando anova cidade a ser inserida
                Cidade city = new Cidade();
                city.ID = int.Parse(cidade.Element("ID").Value);
                city.Nome = cidade.Element("NOME").Value;
                city.DDD = short.Parse(cidade.Element("DDD").Value);
                city.IDEstado = int.Parse(cidade.Element("IDESTADO").Value);

                //adicionando ao contextodados
                contextoDados.AddToCidade(city);

                //imprimindo na tela para verificação
                Console.WriteLine(cidade.Element("NOME").Value);
            }

            //persistindo as inserções diretamente no banco
            contextoDados.SaveChanges();
            #endregion
        }
    }
}
